updated on Wed Jan 11 00:07:16 UTC 2012
[aur-mirror.git] / d2x-rebirth / d2x-rebirth.install
blob4ac737bab015c27ffa0331a4e7e01a53ea0661f2
1 post_install() {
2   function install_datas() {
3   read -p "I'm about to install Descent 2 datas to /usr/share/d2x-rebirth/, would you like to continue (Y/n) ? "
4   case $REPLY in
5     n|N) return 1;;
6   esac
8   type unarj &> /dev/null
9   if (($?)); then
10     echo 'I need unarj to continue';
11     read -p 'Do you want install it (Y/n) ? '
12     case $REPLY in
13       n|N) return 1;;
14     esac
15     pacman -Sy unarj || return 2
16   fi
17   
18   cont=1
19   while (($cont)); do
20   echo 'Give me the complete path to "descent2.sow" file (example, with the cd drive : /path/to/drive/d2data/descent2.sow)'
21   read
22   if [ -z "$REPLY" ]; then return 2; fi
23   if [ -f "$REPLY" ]; then
24     cont=0;
25   else
26     echo -e "Bad path (Enter to abort)\n"
27   fi
28   done
30   descent_file="$REPLY"
31   
32   cd /usr/share/d2x-rebirth/
33   unarj e "$descent_file" &> /dev/null
34   if (($?)); then echo -e '!! Error with unarj !!\n' >&2; return 2; fi
35   rm *.exe *.dll *.txt *.bat descent.cfg descentg.ini \
36   descent.hi *.doc eregcard.ini &>/dev/null
38   read -p 'Would you like to include movies files (need 210 MB more space) (N/y) ? '
39   case $REPLY in
40     y|Y) :;;
41     *) return 0;;
42   esac
44   cont=1
45   while (($cont)); do
46   echo 'Give me the complete path to the directory that contains those movies (example, with the cd drive : /path/to/drive/d2data/)'
47   read
48   if [ -z "$REPLY" ]; then return 2; fi
49   if [ -d "$REPLY" ]; then
50     cont=0;
51   else
52     echo -e "Bad path (Enter to abort)\n"
53   fi
54   done
56   movies_path="$REPLY"
57   cp "$movies_path"/*-h.mvl . &> /dev/null
59   chmod 644 * &> /dev/null
60   return 0
61   }
63   old_path=`pwd`
64   install_datas
65   ret=$?
66   cd $old_path
68   if (($ret)); then
69     echo 'Put your Descent 2 datas either to /usr/share/d2x-rebirth/ or ~/.d2x-rebirth/'
71     cat << EOF
72 Following files are needed to run the game:
74 descent2.ham
75 descent2.hog
76 descent2.s11
77 descent2.s22
78 alien1.pig
79 alien2.pig
80 fire.pig
81 groupa.pig
82 ice.pig
83 water.pig
85 And these movies files (but not mandatory):
87 intro-h.mvl and/or intro-l.mvl
88 other-h.mvl and/or other-l.mvl
89 robots-h.mvl and/or robots-l.mvl
91 These files - except the Movies (*.mvl) - are archived in the file descent2.sow
92 This file is an ARJ-archive and can be extracted with an archiver like unarj
94 You don't own the full game, yet?
95 Just visit GOOD OLD GAMES via:
96 http://www.gog.com/en/gamecard/descent_1_descent_2/pp/fc074d501302eb2b93e2554793fcaf50b3bf7291
97 and download it for a very low price! DRM-FREE!
99 You can get AddOns for the game from http://www.dxx-rebirth.com/addons/
103   fi
106 post_upgrade() {
107 post_install
110 pre_remove() {
111 /bin/true
114 op=$1
115 shift
117 $op "$@"